import { Declaration, NamedDeclaration, Node, Symbol as Sym, Type } from 'typescript';
/**
 * Check to see whether a value is a named declaration
 * @param node value to check
 */
export declare function isNamedDeclaration(node?: Node): node is NamedDeclaration;
/**
 * Check to see whether a value is a Declaration
 * @param node value to check
 */
export declare function isDeclaration(node?: Node | Declaration): node is Declaration;
/**
 * Check to see whether a value is a Type
 * @param thing value to check
 */
export declare function isType(thing?: Sym | Type | Node): thing is Type;
/**
 * Check to see whether a value is a Symbol
 * @param thing value to check
 */
export declare function isSymbol(thing?: Sym | Type | Node): thing is Sym;
/**
 * Check to see whether a value is a Node
 * @param thing value to check
 */
export declare function isNode(thing?: Sym | Type | Node): thing is Node;
//# sourceMappingURL=node.d.ts.map